Summary: IO-Multiplex module for perl
Name: perl-IO-Multiplex
Version: 1.08
Release: 5%{?dist}
License: Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/IO-Multiplex/

Source: http://www.cpan.org/authors/id/B/BB/BBB/IO-Multiplex-1.08.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: perl
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
IO::Multiplex is designed to take the effort out of managing
multiple file handles.  It is essentially a really fancy front end to
the select system call.  In addition to maintaining the select
loop, it buffers all input and output to/from the file handles.  It
can also accept incoming connections on one or more listen sockets.

%prep
%setup -n IO-Multiplex-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Changes README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/IO/

%changelog
* Fri Sep 15 2006 Leif O M Bergman <lmb@biosci.ki.se> - 1.08-5
- Add dist tag

* Tue Dec 13 2005 Leif O M Bergman <lmb@biosci.ki.se> - 1.08-4
- Changes for fedora xtras compliance

* Mon Dec 12 2005 Leif O M Bergman <lmb@biosci.ki.se> - 1.08-3
- Cosmetic changes for fedora xtras

* Sun Feb 20 2005 Dag Wieers <dag@wieers.com> - 1.08-2
- Cosmetic changes.

* Thu Mar 18 2004 Dag Wieers <dag@wieers.com> - 1.08-1
- Updated to release 1.08.

* Mon Jul 14 2003 Dag Wieers <dag@wieers.com> - 1.04-0
- Initial package. (using DAR)
